<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="cn.cecep.talroad.mapper.BasDcsOperationLogMapper">
  <resultMap id="BaseResultMap" type="cn.cecep.talroad.domain.BasDcsOperationLog">
    <id column="log_id" property="logId"/>
    <result column="operation_time" property="operationTime"/>
    <result column="work_procedure" property="workProcedure"/>
    <result column="device_id" property="deviceId"/>
    <result column="device_name" property="deviceName"/>
    <result column="param_name" property="paramName"/>
    <result column="before_modify_param_unit" property="beforeModifyParamUnit"/>
    <result column="before_modify_normal_value" property="beforeModifyNormalValue"/>
    <result column="after_modify_normal_value" property="afterModifyNormalValue"/>
    <result column="operator" property="operator"/>
    <result column="operator_id" property="operatorId"/>
    <result column="factory_id" property="factoryId"/>
    <result column="after_modify_param_unit" property="afterModifyParamUnit"/>
    <result column="before_modify_min_value" property="beforeModifyMinValue"/>
    <result column="after_modify_min_value" property="afterModifyMinValue"/>
    <result column="before_modify_max_value" property="beforeModifyMaxValue"/>
    <result column="after_modify_max_value" property="afterModifyMaxValue"/>
  </resultMap>

  <sql id="Base_Column_List">
    log_id,operation_time,work_procedure,device_id,device_name,param_name,before_modify_param_unit,before_modify_normal_value,after_modify_normal_value,operator,operator_id,factory_id,after_modify_param_unit,before_modify_min_value,after_modify_min_value,before_modify_max_value,
after_modify_max_value
  </sql>

</mapper>